# Uses of Class
org.apache.lucene.index.FieldInvertState

Packages that use FieldInvertState
Package
Description
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

- ## Uses of FieldInvertState in org.apache.lucene.search.similarities

  Methods in org.apache.lucene.search.similarities with parameters of type FieldInvertState
  Modifier and Type
  Method
  Description
  `long`
  MultiSimilarity.`computeNorm(FieldInvertState state)`
  `final long`
  PerFieldSimilarityWrapper.`computeNorm(FieldInvertState state)`
  `long`
  Similarity.`computeNorm(FieldInvertState state)`
  Computes the normalization value for a field at index-time.